# Uses of Class
org.eclipse.jface.text.DocumentRewriteSessionType

Packages that use DocumentRewriteSessionType
Package
Description
org.eclipse.core.filebuffers.manipulation
Provides the API for manipulating file buffers.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.

## Uses of DocumentRewriteSessionType in org.eclipse.core.filebuffers.manipulation

Methods in org.eclipse.core.filebuffers.manipulation that return DocumentRewriteSessionType
Modifier and Type
Method
Description
`protected DocumentRewriteSessionType`
ConvertLineDelimitersOperation.`getDocumentRewriteSessionType()`
`protected DocumentRewriteSessionType`
RemoveTrailingWhitespaceOperation.`getDocumentRewriteSessionType()`
`protected abstract DocumentRewriteSessionType`
TextFileBufferOperation.`getDocumentRewriteSessionType()`
Returns the rewrite session type that corresponds to the text edit sequence.

## Uses of DocumentRewriteSessionType in org.eclipse.jface.text

Fields in org.eclipse.jface.text declared as DocumentRewriteSessionType
Modifier and Type
Field
Description
`static final DocumentRewriteSessionType`
DocumentRewriteSessionType.`SEQUENTIAL`
A sequential rewrite session is a sequence of non-overlapping replace operations starting at an arbitrary document offset.
`static final DocumentRewriteSessionType`
DocumentRewriteSessionType.`STRICTLY_SEQUENTIAL`
A strictly sequential rewrite session is a sequence of non-overlapping replace operations from the start of the document to its end.
`static final DocumentRewriteSessionType`
DocumentRewriteSessionType.`UNRESTRICTED`
An unrestricted rewrite session is a sequence of unrestricted replace operations.
`static final DocumentRewriteSessionType`
DocumentRewriteSessionType.`UNRESTRICTED_SMALL`
An small unrestricted rewrite session is a short sequence of unrestricted replace operations.
Methods in org.eclipse.jface.text that return DocumentRewriteSessionType
Modifier and Type
Method
Description
`DocumentRewriteSessionType`
DocumentRewriteSession.`getSessionType()`
Returns the type of this session.
Methods in org.eclipse.jface.text with parameters of type DocumentRewriteSessionType
Modifier and Type
Method
Description
`DocumentRewriteSession`
AbstractDocument.`startRewriteSession(DocumentRewriteSessionType sessionType)`
`DocumentRewriteSession`
IDocumentExtension4.`startRewriteSession(DocumentRewriteSessionType sessionType)`
Tells the document that it is about to be rewritten.
Constructors in org.eclipse.jface.text with parameters of type DocumentRewriteSessionType
Modifier
Constructor
Description
`protected`
`DocumentRewriteSession(DocumentRewriteSessionType sessionType)`
Prohibit package external object creation.